/*
* $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/iif/Interface/Ltcs/Iif/Side.h 300 2017-11-21 09:45:39Z depa $
* @author R. J. Mathar
* @since 2017-01-17
*/

#pragma once

#include <string>

namespace Ltcs
{
/** enumeration roughly equivalent to the PCS integer states
*/
enum IifSid { SIDE_NONE =0, SIDE_LEFT=1, SIDE_RIGHT=2, SIDE_BOTH=3 } ;

/**
* @brief This class represents the SX or DX or both sides of the LBT.
*/
class IifSide
{
public:

    IifSide(const enum IifSid anysdx = SIDE_NONE) ;
    IifSide(const std::string & fstation) ;
    IifSide(const IifSide & oth) ;
    IifSide & operator=(const IifSide & oth) ;

#if 0
    ~IifSide() ;
#endif

    std::string toString() const ;
    std::string toStringCfg() const ;
    int toIntIdx() const ;

    enum IifSid s ;
protected:
private:
} ;
}
